Get all Webhooks
curl --request GET \
--url https://api.affinity.co/v2/webhooks \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.affinity.co/v2/webhooks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.affinity.co/v2/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 1,
"url": "https://example.com/affinity-events",
"subscriptions": [
"list.created"
],
"status": "active",
"creator": {
"id": 1
},
"createdAt": "2026-01-01T00:00:00Z",
"updatedAt": "2026-01-01T00:00:00Z"
}
],
"pagination": {
"prevUrl": "https://api.affinity.co/v2/foo?cursor=ICAgICAgYmVmb3JlOjo6Nw",
"nextUrl": "https://api.affinity.co/v2/foo?cursor=ICAgICAgIGFmdGVyOjo6NA",
"totalCount": 42
}
}{
"errors": [
{
"code": "bad-request",
"message": "<string>"
}
]
}{
"errors": [
{
"code": "not-found",
"message": "<string>"
}
]
}{
"errors": [
{
"code": "authentication",
"message": "<string>"
}
]
}Webhooks
Get all Webhooks
| ⚠️ This endpoint is currently in BETA |
|---|
Returns a page of the Webhooks created by the caller. Users allowed to manage all webhooks receive every Webhook in the organization.
You can filter webhooks using the filter query parameter. The filter parameter is a string
that you can specify conditions based on the following properties.
| Property Name | Type | Allowed Operators | Examples |
|---|---|---|---|
id | int64 | = | id=1|id=2 |
createdAt | datetime | >, <, >=, <= | createdAt>=2026-01-01T00:00:00Z |
updatedAt | datetime | >, <, >=, <= | updatedAt>=2026-01-01T00:00:00Z |
Results are ordered by id ascending.
GET
/
v2
/
webhooks
Get all Webhooks
Authorizations
A static Affinity API key, presented as a bearer token.
Query Parameters
Include total count of the collection in the pagination response
Cursor for the next or previous page
Example:
"ICAgICAgYmVmb3JlOjo6Nw"
Number of items to include in the page
Required range:
1 <= x <= 100Example:
100
Filter options
Was this page helpful?